Bug 1854957 - The in-page edit labels link is not hidden when labels are read-only
Summary: The in-page edit labels link is not hidden when labels are read-only
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-08 13:31 UTC by Samuel Padgett
Modified: 2020-10-27 16:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.6.0-0.nightly-2020-07-07-233934 Cluster ID: de31dbbc-4e97-419b-bf47-6e5f19ab8781 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:79.0) Gecko/20100101 Firefox/79.0
Last Closed: 2020-10-27 16:13:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
Verification screenshot - normal user (149.04 KB, image/png)
2020-07-13 06:05 UTC, XiaochuanWang
no flags Details
Verification screenshot - admin user (203.80 KB, image/png)
2020-07-13 06:06 UTC, XiaochuanWang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5921 0 None closed Bug 1854957: Only show in-page edit labels link when editable 2020-07-13 03:10:49 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:13:30 UTC

Description Samuel Padgett 2020-07-08 13:31:05 UTC
We have no RBAC check for the in-page labels edit link. The action is hidden in the Actions menu, but it's not hidden for users who do not have edit access to the resource (such as users with the `view` role in a namespace).

We also show edit labels for projects, but labels aren't editable for projects.

Comment 4 XiaochuanWang 2020-07-13 06:05:17 UTC
Created attachment 1700765 [details]
Verification screenshot - normal user

Comment 5 XiaochuanWang 2020-07-13 06:06:19 UTC
Created attachment 1700766 [details]
Verification screenshot - admin user

Comment 6 XiaochuanWang 2020-07-13 06:08:12 UTC
As attached screenshots, Action button is hidden for normal user, Label editor is hidden for both admin and normal user on Project detail page. This is as expected from PR.
Verified on 4.6.0-0.nightly-2020-07-12-204440

Comment 8 errata-xmlrpc 2020-10-27 16:13:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.